- Qt 5.15
- Qt 3D
- C++ Classes
- QCamera
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QCamera

The following members of class QCamera are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` viewMatrix : const QMatrix4x4

## Public Functions

`(obsolete)` QMatrix4x4 | viewMatrix() const

## Signals

`(obsolete)` void | viewMatrixChanged()

## Property Documentation

### viewMatrix : const QMatrix4x4

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Holds the camera's view matrix in coordinates relative to the parent entity.

Access functions:

QMatrix4x4 | viewMatrix() const

Notifier signal:

void | viewMatrixChanged()